rte_compressdev_ops(3)

NAME
rte_compressdev_ops

SYNOPSIS

#include <rte_compressdev_pmd.h>

  Data Fields

compressdev_configure_t dev_configure
compressdev_start_t dev_start
compressdev_stop_t dev_stop
compressdev_close_t dev_close
compressdev_info_get_t dev_infos_get
compressdev_stats_get_t stats_get
compressdev_stats_reset_t stats_reset
compressdev_queue_pair_setup_t queue_pair_setup
compressdev_queue_pair_release_t queue_pair_release
compressdev_stream_create_t stream_create
compressdev_stream_free_t stream_free
compressdev_private_xform_create_t private_xform_create
compressdev_private_xform_free_t private_xform_free

Detailed Description

comp device operations function pointer table

Definition at line 249 of file rte_compressdev_pmd.h.

Field Documentation

  compressdev_configure_t dev_configure
Configure device.

Definition at line 250 of file rte_compressdev_pmd.h.

  compressdev_start_t dev_start
Start device.

Definition at line 251 of file rte_compressdev_pmd.h.

  compressdev_stop_t dev_stop
Stop device.

Definition at line 252 of file rte_compressdev_pmd.h.

  compressdev_close_t dev_close
Close device.

Definition at line 253 of file rte_compressdev_pmd.h.

  compressdev_info_get_t dev_infos_get
Get device info.

Definition at line 255 of file rte_compressdev_pmd.h.

  compressdev_stats_get_t stats_get
Get device statistics.

Definition at line 257 of file rte_compressdev_pmd.h.

  compressdev_stats_reset_t stats_reset
Reset device statistics.

Definition at line 259 of file rte_compressdev_pmd.h.

  compressdev_queue_pair_setup_t queue_pair_setup
Set up a device queue pair.

Definition at line 262 of file rte_compressdev_pmd.h.

  compressdev_queue_pair_release_t queue_pair_release
Release a queue pair.

Definition at line 264 of file rte_compressdev_pmd.h.

  compressdev_stream_create_t stream_create
Create a comp stream and initialise its private data.

Definition at line 267 of file rte_compressdev_pmd.h.

  compressdev_stream_free_t stream_free
Free a comp stream's private data.

Definition at line 269 of file rte_compressdev_pmd.h.

  compressdev_private_xform_create_t private_xform_create
Create a comp private_xform and initialise its private data.

Definition at line 272 of file rte_compressdev_pmd.h.

  compressdev_private_xform_free_t private_xform_free
Free a comp private_xform's data.

Definition at line 274 of file rte_compressdev_pmd.h.

Author

Generated automatically by Doxygen for DPDK from the source code.